### Method

# Gtk ComboBoxText get_active_text

deprecated: 4.10

#### Declaration [src]

    char*
    gtk_combo_box_text_get_active_text (
      GtkComboBoxText* combo_box
    )

#### Description [src]

Returns the currently active string in `combo_box`.

If no row is currently selected, `NULL` is returned. If `combo_box` contains an entry, this function will return its contents (which will not necessarily be an item from the list).

Deprecated since: 4.10

Use `GtkDropDown`.

#### Return value

Type: `char*`

A newly allocated string containing the currently active text. Must be freed with g_free().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.